*==============================================================================*
* TTULO DE LA SINTAXIS:*
* Sintaxis de Tabulados 
* OPERACIN ESTADSTICA:*
* Matrimonios, Ao 2019 (EMA - 2019)*
* UNIDAD TCNICA RESPONSABLE:*
* Unidad de Gestin de Estadsticas Sociodemogrficas en base a Registros Administrativos*
* Direccin Estadsticas Sociodemogrficas (DIES) *
* ENTIDAD EJECUTORA:*
* Instituto Nacional de Estadstica y Censos (INEC) *
*==============================================================================*
* Fecha ltima modificacin:   julio de 2020*
*==============================================================================*
* Elaborado por:* 
* Unidad de Gestin de Estadsticas Sociodemogrficas en base a Registros Administrativos (GESRA) *
* Instituto Nacional de Estadstica y Censos (INEC)*
*==============================================================================*
* Revisado por: *
* Responsable de la Unidad de Gestin de Estadsticas Sociodemogrficas en base a Registros Administrativos (GESRA) * *
* Instituto Nacional de Estadstica y Censos (INEC)*
*==============================================================================*
*==============================================================================*
* Descripcin:
* 1. Correr la programacin en spss.
* 2. La presente sintaxis est diseada para generar y crear las variables necesarias para la elaboracin de los cuadros estadsticos de Matrimonios.
*==============================================================================*
*Sintaxis de Tabulados Matrimonios, Ao 2019 (EMA - 2019)*
*==============================================================================*

***SINTAXIS DE TABULADOS DE MATRIMONIOS***

***CUADRO 3.1.1***

*  Matrimonios, por mes de ocurrencia, segn regiones y provincias de inscripcin 2019 *

* preparar variables a utilizar*


compute t=1.
compute t2=1.

* CODIGOS DE REGIONES NATURALES.*

NUMERIC REG_NAT (f2.0).
if (prov_insc >= "01" and prov_insc <= "06") REG_NAT= 1.
if (prov_insc >= "10" and prov_insc <= "11") REG_NAT= 1.
if (prov_insc >= "17" and prov_insc <= "18") REG_NAT= 1.
if (prov_insc = "23") REG_NAT= 1.
if (prov_insc >= "07" and prov_insc <= "09") REG_NAT = 2.
if (prov_insc >= "12" and prov_insc <= "13") REG_NAT = 2.
if (prov_insc = "24") REG_NAT= 2.
if (prov_insc >= "14" and prov_insc <= "16") REG_NAT = 3.
if (prov_insc = "19") REG_NAT= 3.
if (prov_insc >= "21" and prov_insc <= "22") REG_NAT = 3.
if (prov_insc = "20") REG_NAT= 4.
if (prov_insc = "90") REG_NAT= 5.
execute.


* Etiquetar variables y valores a desplegar en un reporte*


ADD VALUE LABELS
REG_NAT 1 "Regin Sierra: "
	2 "Regin Costa: "
	3 "Regin Amaznica:"
	4 "Regin Insular:"
	5 "Zonas no Delimitadas:".



ADD VALUE LABELS
/t  1 ' '
/t2 1 ' '
.

* Etiquetar variables*.

VAR LABEL
REG_NAT   "  "
/t 'Total Nacional:'
/t2 ' '
.


TABLES
 /TABLE  t+(REG_NAT>(t2+prov_insc)) by t+mes_insc
 /TITLE    'Cuadro No. 3.1.1'
              'Matrimonios por mes de inscripcin, segn regiones y provincias de inscripcin - Ao 2019'
 /CORNER 'Regiones y provincias de inscripcin'
.

execute.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='D:\teletrabajo1\Anuario 2019\bases matrimonios\tabulados matrimonios.xls'
     OPERATION=CREATEFILE  SHEET='c311'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.



***CUADRO  3.1.2***

NUMERIC REG_NATH1 (f2.0).
if (prov_hab1>= "01" and prov_hab1<= "06") REG_NATH1= 1.
if (prov_hab1>= "10" and prov_hab1<= "11") REG_NATH1= 1.
if (prov_hab1>= "17" and prov_hab1<= "18") REG_NATH1= 1.
if (prov_hab1= "23") REG_NATH1= 1.
if (prov_hab1>= "07" and prov_hab1<= "09") REG_NATH1 = 2.
if (prov_hab1>= "12" and prov_hab1<= "13") REG_NATH1 = 2.
if (prov_hab1= "24") REG_NATH1= 2.
if (prov_hab1>= "14" and prov_hab1<= "16") REG_NATH1 = 3.
if (prov_hab1= "19") REG_NATH1= 3.
if (prov_hab1>= "21" and prov_hab1<= "22") REG_NATH1 = 3.
if (prov_hab1= "20") REG_NATH1= 4.
if (prov_hab1= "90") REG_NATH1= 5.
if (prov_hab1= "88") REG_NATH1= 6.

execute.


compute t2=1.

* Etiquetar variables y valores a desplegar en un reporte*

ADD VALUE LABELS
REG_NATH1 1 "Regin Sierra: "
	2 "Regin Costa: "
	3 "Regin Amaznica:"
	4 "Regin Insular:"
	5 "Zonas no Delimitadas:"
6 "Exterior".

ADD VALUE LABELS
/t2 1 'total '.

* Etiquetar variables *

VAR LABEL
REG_NATH1 ' Regin de residencia habitual contrayente 1 '
/t2 'Total Nacional:'.


TABLES
 /TABLE  t2+REG_NATH1 >(t2+prov_hab1>(cant_hab1)) by t2+mes_insc
 /TITLE    'Cuadro No. 3.1.2'
              'Matrimonios por mes de inscripcin, segn regiones, provincias y cantones de residencia habitual contrayente 1 - Ao 2019'
 /CORNER 'Regiones y provincias de residencia habitual contrayente 1'
.
execute.


OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='D:\teletrabajo1\Anuario 2019\bases matrimonios\tabulados matrimonios.xls'
     OPERATION=CREATESHEET  SHEET='c312'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.



***CUADRO 3.1.3***

compute t=1.
compute tr=1.


* Etiquetar variables y valores a desplegar en un reporte*

ADD VALUE LABELS
/t  1 ' '
/tr 1 ' '.

* Etiquetar variables*


VAR LABEL
REG_NATH1 ' '
/t 'Total'
/tr 'Total Nacional'
/ran_edad1 ' '
/ran_edad2 'Grupos de Edad Contrayente 2'
.

* Plantear el cuadro o cuadros*


TABLES
 /TABLE  (tr+REG_NATH1) > (t+ran_edad1) BY (t+ran_edad2)
 /TITLE    'Cuadro No. 3.1.3'
              'Matrimonios por grupos de edad contrayente 2, segn regiones de residencia habitual y grupos de edad contrayente 1 - Ao 2019'
 /CORNER 'Regiones y grupos de edad contrayente 1'
.
execute.



OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='D:\teletrabajo1\Anuario 2019\bases matrimonios\tabulados matrimonios.xls'
     OPERATION=CREATESHEET  SHEET='c313'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.




***CUADRO 3.1.4***

* Preparar variables a utilizar
*----------------------------------------.
compute t=1.
compute tr=1.


* Etiquetar variables y valores a desplegar en un reporte
*-------------------------------------------------------------------------------.
ADD VALUE LABELS
/t  1 ' '
/tr 1 ' '.


* Etiquetar variables*


VAR LABEL
est_civi1   ' '
/est_civi2  'Estado Civil Anterior Contrayente 2'
/REG_NATH1  ' '
/t 'Total'
/tr 'Total Nacional'
.

* Plantear el cuadro o cuadros*


TABLES
 /TABLE  (tr+REG_NATH1) > (t+est_civi1) BY (t+est_civi2)
 /TITLE    'Cuadro No. 3.1.4'
              'Matrimonios por estado civil anterior contrayente 2, segn regiones de residencia habitual y estado civil anterior contrayente 1 - Ao 2019	'
 /CORNER 'Regiones de residencia y estado civil anterior contrayente 1'
.
execute.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='D:\teletrabajo1\Anuario 2019\bases matrimonios\tabulados matrimonios.xls'
     OPERATION=CREATESHEET  SHEET='c314'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.



***CUADRO 3.1.5***


compute t=1.
compute tr=1.



* Etiquetar variables y valores a desplegar en un reporte*

ADD VALUE LABELS
t  1 ' '
/tr 1 ' '.


* Etiquetar variables*


VAR LABEL
REG_NATH1  ' '
/t 'Total'
/tr 'Total Nacional'
/ran_nmatant1 ' '
/ran_nmatant2 'Matrimonios Anteriores Contrayente 2'
.



TABLES
 /TABLE  tr+ran_nmatant1+REG_NATH1 >(t+ran_nmatant1) BY (t+ran_nmatant2)
 /TITLE    'Cuadro No. 3.1.5'
              'Matrimonios por nmero de matrimonios anteriores contrayente 2, segn regiones de residencia habitual y matrimonios anteriores contrayente 1 Ao  2019'
 /CORNER 'Regiones y matrimonios anteriores contrayente 1'
.
execute.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='D:\teletrabajo1\Anuario 2019\bases matrimonios\tabulados matrimonios.xls'
     OPERATION=CREATESHEET  SHEET='c315'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.



***CUADRO 3.1.6***


compute t=1.
compute tr=1.

NUMERIC REG_NATH1 (f2.0).
if (prov_hab1>= "01" and prov_hab1<= "06") REG_NATH1= 1.
if (prov_hab1>= "10" and prov_hab1<= "11") REG_NATH1= 1.
if (prov_hab1>= "17" and prov_hab1<= "18") REG_NATH1= 1.
if (prov_hab1= "23") REG_NATH1= 1.
if (prov_hab1>= "07" and prov_hab1<= "09") REG_NATH1 = 2.
if (prov_hab1>= "12" and prov_hab1<= "13") REG_NATH1 = 2.
if (prov_hab1= "24") REG_NATH1 = 2.
if (prov_hab1>= "14" and prov_hab1<= "16") REG_NATH1 = 3.
if (prov_hab1= "19") REG_NATH1= 3.
if (prov_hab1>= "21" and prov_hab1<= "22") REG_NATH1 = 3.
if (prov_hab1= "20") REG_NATH1= 4.
if (prov_hab1= "90") REG_NATH1= 5.
if (prov_hab1= "88") REG_NATH1= 6.
execute.


* Etiquetar variables y valores a desplegar en un reporte*

ADD VALUE LABELS
REG_NATH1 1 "Regin Sierra: "
	2 "Regin Costa: "
	3 "Regin Amaznica:"
	4 "Regin Insular:"
	5 "Zonas no Delimitadas:"
6 "Exterior".

ADD VALUE LABELS
/t  1 ' '
/tr 1 ' '.


* Etiquetar variables*


VAR LABEL
prov_hab1' '
/REG_NATH1  ' '
/t 'Total'
/tr 'Total Nacional'
/ran_nmatant1 ' '
/ran_nmatant2 'Matrimonios Anteriores Contrayente 2'
.



TABLES
 /TABLE  tr+REG_NATH1>prov_hab1>(t+ran_nmatant1) BY (t+ran_nmatant2)
 /TITLE    'Cuadro No. 3.1.6'
              'Matrimonios por nmero de matrimonios anteriores contrayente 2, segn regiones y provincias de residencia habitual y matrimonios anteriores contrayente 1 Ao  2019'
 /CORNER 'Provincias y matrimonios anteriores del contrayente'
.

execute.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='D:\teletrabajo1\Anuario 2019\bases matrimonios\tabulados matrimonios.xls'
     OPERATION=CREATESHEET  SHEET='c316'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.



***CUADRO 3.1.7***

compute t=1.
compute t2=1.

ADD VALUE LABELS
/t  1 ' '
/t2 1 ' '.

* Etiquetar variables*


VAR LABEL
REG_NATH1 ' '
/ran_hijrec 'Nmero de Hijos reconocidos'
/t 'Total Nacional:'
/t2 ' '
.

* Plantear el cuadro o cuadros*


TABLES
 /TABLE  (t+REG_NATH1>(t2+prov_hab1)) BY (t+ran_hijrec)
 /TITLE    'Cuadro No. 3.1.7'
              'Matrimonios por nmero de hijos reconocidos, segn regiones y provincias de residencia habitual contrayente 1 - Ao 2019'
 /CORNER 'Regiones y provincias'
.
execute.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='D:\teletrabajo1\Anuario 2019\bases matrimonios\tabulados matrimonios.xls'
     OPERATION=CREATESHEET  SHEET='c317'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.



***CUADRO 3.1.8***

compute t=1.
compute tr=1.

ADD VALUE LABELS
/t  1 ' '
/tr 1 ' '.

* Etiquetar variables

VAR LABEL
ran_edad1 'Grupos de Edad Contrayente 1'
/est_civi1 ' '
/REG_NATH1  ' '
/t 'Total'
/tr 'Total Nacional'
.

* Plantear el cuadro o cuadros
*------------------------------------------.

TABLES
 /TABLE   tr+est_civi1+REG_NATH1 >(t+est_civi1) BY (t+ran_edad1)
 /TITLE    'Cuadro No. 3.1.8'
              'Matrimonios por grupos de edad  contrayente 1, segn regiones de residencia habitual y estado civil anterior del mismo - Ao 2019'
 /CORNER 'Regiones y estado civil anterior contrayente 1'
.
execute.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='D:\teletrabajo1\Anuario 2019\bases matrimonios\tabulados matrimonios.xls'
     OPERATION=CREATESHEET  SHEET='c318'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.



***CUADRO 3.1.9***

compute t=1. 
compute tr=1. 
 
ADD VALUE LABELS
/t  1 ' ' 
 /tr 1 ' ' . 
 
* Etiquetar variables* 
 
VAR LABEL 
/ran_edad1 'Grupos de Edad Contrayente 1' 
/est_civi1 ' ' 
/REG_NATH1  ' ' 
/t 'Total'
/tr 'Total Nacional'
. 
 
* Plantear el cuadro o cuadros* 
 
TABLES 
 /TABLE   tr+REG_NATH1 > prov_hab1>(t+est_civi1) BY (t+ran_edad1) 
 /TITLE    'Cuadro No. 3.1.9' 
              'Matrimonios por grupos de edad contrayente 1, segn provincias de residencia habitual y estado civil anterior del mismo - Ao 2019' 
 /CORNER 'Provincias y estado civil anterior contrayente 1' 
.
execute.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='D:\teletrabajo1\Anuario 2019\bases matrimonios\tabulados matrimonios.xls'
     OPERATION=CREATESHEET  SHEET='c319'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.


***CUADRO 3.1.10***

* preparar variables a utilizar*
*----------------------------------------.
compute t=1.
compute tr=1.

* preparar variables a utilizar*
*----------------------------------------.

NUMERIC REG_NAT2 (f2.0).
if (prov_hab2 >= "01" and prov_hab2<= "06") REG_NAT2= 1.
if (prov_hab2 >= "10" and prov_hab2 <= "11") REG_NAT2= 1.
if (prov_hab2 >= "17" and prov_hab2<= "18") REG_NAT2= 1.
if (prov_hab2 = "23") REG_NAT2= 1.
if (prov_hab2 >= "07" and prov_hab2 <= "09") REG_NAT2 = 2.
if (prov_hab2 >= "12" and prov_hab2 <= "13") REG_NAT2 = 2.
if (prov_hab2 = "24") REG_NAT2 = 2.
if (prov_hab2 >= "14" and prov_hab2<= "16") REG_NAT2 = 3.
if (prov_hab2= "19") REG_NAT2= 3.
if (prov_hab2>= "21" and prov_hab2 <= "22") REG_NAT2 = 3.
if (prov_hab2= "20") REG_NAT2= 4.
if (prov_hab2 = "90") REG_NAT2= 5.
if (prov_hab2 = "88") REG_NAT2= 6.
execute.

* Etiquetar variables y valores a desplegar en un reporte*

ADD VALUE LABELS
REG_NAT2 1 "Regin Sierra: "
	2 "Regin Costa: "
	3 "Regin Amaznica:"
	4 "Regin Insular:"
	5 "Zonas no Delimitadas:"
6 "Exterior".


* Etiquetar variables y valores a desplegar en un reporte
*-------------------------------------------------------------------------------.

ADD VALUE LABELS
/t  1 ' '
/tr 1 ' '.

* Etiquetar variables
*---------------------------.


VAR LABEL
/ran_edad2 'Gupos de Edad Contrayente 2'
/est_civi2 ' '
/REG_NAT2  ' '
/t 'Total'
/tr 'Total Nacional'
.

* Plantear el cuadro o cuadros
*------------------------------------------.

TABLES 
 /TABLE   tr+est_civi2+REG_NAT2 >(t+est_civi2) BY (t+ran_edad2)
 /TITLE    'Cuadro No.3.1.10'
              'Matrimonios por grupos de edad contrayente 2, segn regiones de residencia habitual y estado civil anterior de la misma - Ao 2019'
 /CORNER 'Regiones y estado civil anterior contrayente 2'
.
execute.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='D:\teletrabajo1\Anuario 2019\bases matrimonios\tabulados matrimonios.xls'
     OPERATION=CREATESHEET  SHEET='c3110'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.



***CUADRO 3.1.11***

*  Matrimonios, por grupos de edad contrayente 2, segn provincias de residencia habitual y estado civil anterior del mismo 2019 *

* preparar variables a utilizar*

compute t=1.
compute tr=1.

* CODIGOS DE REGIONES NATURALES.

.
* Etiquetar variables y valores a desplegar en un reporte*

ADD VALUE LABELS
/t  1 ' '
/tr 1 ' '.

* Etiquetar variables*

VAR LABEL
ran_edad2 'Gupos de Edad Contrayente 2'
/est_civi2 ' '
/REG_NAT2  ' '
/t 'Total'
/tr 'Total Nacional'
.

* Plantear el cuadro o cuadros*



TABLES 
 /TABLE   tr+REG_NAT2  > prov_hab2 >(t+est_civi2) BY (t+ran_edad2)  
 /TITLE    'Cuadro No. 3.1.11'
       'Matrimonios por grupos de edad contrayente 2, segn provincias de residencia habitual y estado civil anterior de la misma - Ao 2019'
 /CORNER 'Provincias y estado civil anterior contrayente 2'
.
execute.


OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='D:\teletrabajo1\Anuario 2019\bases matrimonios\tabulados matrimonios.xls'
     OPERATION=CREATESHEET  SHEET='c3111'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.


**3.1.12**
*  Matrimonios, por nivel de instruccion contrayente 2, segn regiones de residencia habitual y nivel de instruccin contrayente 1 *

* preparar variables a utilizar *

* CODIGOS DE REGIONES NATURALES.

* Etiquetar variables y valores a desplegar en un reporte*

ADD VALUE LABELS
/t  1 ' '
/tr 1 ' '.

* Etiquetar variables*


VAR LABEL
niv_inst1 ' '
/niv_inst2 'Nivel de Instruccin Contrayente 2'
/REG_NATH1 ' '
/t 'Total'
/tr 'Total Nacional'
.



TABLES 
/TABLE   tr+niv_inst1+REG_NATH1 >(t+niv_inst1 ) BY (t+niv_inst2)
/TITLE    'Cuadro No. 3.1.12'
              'Matrimonios por nivel de instruccin contrayente 2, segn regiones de residencia habitual y nivel de instruccin contrayente 1 - Ao 2019'
 /CORNER 'Regiones y nivel de instruccin del contrayente'
.
execute.             

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='D:\teletrabajo1\Anuario 2019\bases matrimonios\tabulados matrimonios.xls'
     OPERATION=CREATESHEET  SHEET='c3112'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.


*  CUADRO 3.1.13 *
*  Matrimonios, por nivel de instruccion contrayente 2, segn provincias de residencia habitual y nivel de instruccin contrayente 1*

* preparar variables a utilizar*

compute t=1.
compute tr=1.

* CODIGOS DE REGIONES NATURALES.

* Etiquetar variables y valores a desplegar en un reporte*

ADD VALUE LABELS
/t  1 ' '
/tr 1 ' '.

* Etiquetar variables*

VAR LABEL
niv_inst1 ' '
/niv_inst2 'Nivel de Instruccin Contrayente 2'
/REG_NATH1 ' '
/t 'Total'
/tr 'Total Nacional'
.

* Plantear el cuadro o cuadros*


TABLES 
 /TABLE   tr+REG_NATH1  > prov_hab1>(t+niv_inst1) BY (t+niv_inst2)
 /TITLE    'Cuadro No. 3.1.13'
              'Matrimonios por nivel de instruccin contrayente 2, segn provincias de residencia habitual y nivel de instruccin contrayente 1 - Ao 2019'
 /CORNER 'Provincias y nivel de instruccin contrayente 1'
.
execute.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='D:\teletrabajo1\Anuario 2019\bases matrimonios\tabulados matrimonios.xls'
     OPERATION=CREATESHEET  SHEET='c3113'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.


**************************************************************************************************************************************************************************************************

**GENERACIN DE BASES DE DATOS**
**Sintaxis para la generacin de bases de datos con las variables unificadas; es decir, sirve para procesar datos estadsticos solo del hombre y solo de la mujer.Se utiliza
 estas bases para el procesamiento de los cuadros 1.1.1 al cuadro 2.3.3  como se puede observar en el archivo Tabulados_series_histricas_MYD_2019** 
 

if sexo_1=1  or sexo_1=2 contra=1.

RENAME VARIABLES nac_1=nac.
RENAME VARIABLES cod_pais1=cod_pais.
RENAME VARIABLES sexo_1=sexo.
RENAME VARIABLES anio_nac1=anio_nac.
RENAME VARIABLES mes_nac1=mes_nac.
RENAME VARIABLES dia_nac1=dia_nac.
RENAME VARIABLES fecha_nac1=echa_nac.
RENAME VARIABLES edad_1=edad.
RENAME VARIABLES hijos_1=hijos.
RENAME VARIABLES p_etnica_1=p_etnica.
RENAME VARIABLES sabe_leer1=sabe_leer.
RENAME VARIABLES niv_inst1=niv_inst.
RENAME VARIABLES prov_hab1=prov_hab.
RENAME VARIABLES cant_hab1=cant_hab.
RENAME VARIABLES parr_hab1=parr_hab.
RENAME VARIABLES area_1=area.

select if contra=1.
execute.

DELETE VARIABLES nac_2.
DELETE VARIABLES cod_pais2.
DELETE VARIABLES sexo_2.
DELETE VARIABLES anio_nac2.
DELETE VARIABLES mes_nac2.
DELETE VARIABLES dia_nac2.
DELETE VARIABLES fecha_nac2.
DELETE VARIABLES edad_2.
DELETE VARIABLES hijos_2.
DELETE VARIABLES p_etnica2.
DELETE VARIABLES sabe_leer2.
DELETE VARIABLES niv_inst2.
DELETE VARIABLES prov_hab2.
DELETE VARIABLES cant_hab2.
DELETE VARIABLES parr_hab2.
DELETE VARIABLES area_2.
SAVE OUTFILE='D:\teletrabajo1\Anuario 2019\bases divorcios\divorcios-bases\CONTRA1.sav' 
  /COMPRESSED.

* generamos la segunda base.
GET  FILE='D:\teletrabajo1\Anuario 2019\bases divorcios\divorcios-bases\divorcios - etiquetada-BASE FINAL - copia.sav'.

if sexo_2=1  or sexo_2=2 contra=2.

RENAME VARIABLES nac_2=nac.
RENAME VARIABLES cod_pais2=cod_pais.
RENAME VARIABLES sexo_2=sexo.
RENAME VARIABLES anio_nac2=anio_nac.
RENAME VARIABLES mes_nac2=mes_nac.
RENAME VARIABLES dia_nac2=dia_nac.
RENAME VARIABLES fecha_nac2=echa_nac.
RENAME VARIABLES edad_2=edad.
RENAME VARIABLES hijos_2=hijos.
RENAME VARIABLES p_etnica2=p_etnica.
RENAME VARIABLES sabe_leer2=sabe_leer.
RENAME VARIABLES niv_inst2=niv_inst.
RENAME VARIABLES prov_hab2=prov_hab.
RENAME VARIABLES cant_hab2=cant_hab.
RENAME VARIABLES parr_hab2=parr_hab.
RENAME VARIABLES area_2=area.

select if contra=2.
execute.

DELETE VARIABLES nac_1.
DELETE VARIABLES cod_pais1.
DELETE VARIABLES sexo_1.
DELETE VARIABLES anio_nac1.
DELETE VARIABLES mes_nac1.
DELETE VARIABLES dia_nac1.
DELETE VARIABLES fecha_nac1.
DELETE VARIABLES edad_1.
DELETE VARIABLES hijos_1.
DELETE VARIABLES p_etnica_1.
DELETE VARIABLES sabe_leer1.
DELETE VARIABLES niv_inst1.
DELETE VARIABLES prov_hab1.
DELETE VARIABLES cant_hab1.
DELETE VARIABLES parr_hab1.
DELETE VARIABLES area_1.



SAVE OUTFILE='D:\teletrabajo1\Anuario 2019\bases divorcios\divorcios-bases\CONTRA2.sav' 
  /COMPRESSED.


ADD FILES /FILE=* 
  /FILE='D:\teletrabajo1\Anuario 2019\bases divorcios\divorcios-bases\CONTRA1.sav'. 
EXECUTE.

SAVE OUTFILE='D:\teletrabajo1\Anuario 2019\bases divorcios\divorcios-bases\divorcios_sexo.sav' 
  /COMPRESSED.
