*==============================================================================*
* TTULO DE LA SINTAXIS:*
* Sintaxis de Tabulados 
* OPERACIN ESTADSTICA:*
* Divorcios, Ao 2019 (EDV - 2019)*
* UNIDAD TCNICA RESPONSABLE:*
* Unidad de Gestin de Estadsticas Sociodemogrficas en base a Registros Administrativos*
* Direccin Estadsticas Sociodemogrficas (DIES) *
* ENTIDAD EJECUTORA:*
* Instituto Nacional de Estadstica y Censos (INEC) *
*==============================================================================*
* Fecha ltima modificacin:   julio de 2020*
*==============================================================================*
* Elaborado por:* 
* Unidad de Gestin de Estadsticas Sociodemogrficas en base a Registros Administrativos (GESRA) *
* Instituto Nacional de Estadstica y Censos (INEC)*
*==============================================================================*
* Revisado por: *
* Responsable de la Unidad de Gestin de Estadsticas Sociodemogrficas en base a Registros Administrativos (GESRA) * *
* Instituto Nacional de Estadstica y Censos (INEC)*
*==============================================================================*
*==============================================================================*
* Descripcin:
* 1. Correr la programacin en spss.
* 2. La presente sintaxis est diseada para generar y crear las variables necesarias para la elaboracin de los cuadros estadsticos de Divorcios.
*==============================================================================*
*Sintaxis de Tabulados Divorcioss, Ao 2019 (EDV - 2019)*
*==============================================================================*
***SINTAXIS DE TABULADOS DIVORCIOS***

*  CUADRO 3.2.1*

*  Divorcios, por mes de ocurrencia, segn regiones y provincias de inscripcin 2019*

compute t=1.
compute t2=1.

* CODIGOS DE REGIONES NATURALES.

NUMERIC REG_NAT (f1.0).
if (prov_insc >= "01" and prov_insc <= "06") REG_NAT= 1.
if (prov_insc >= "10" and prov_insc <= "11") REG_NAT= 1.
if (prov_insc >= "17" and prov_insc <= "18") REG_NAT= 1.
if (prov_insc = "23") REG_NAT= 1.
if (prov_insc >= "07" and prov_insc <= "09") REG_NAT = 2.
if (prov_insc >= "12" and prov_insc <= "13") REG_NAT = 2.
if (prov_insc = "24") REG_NAT= 2.
if (prov_insc >= "14" and prov_insc <= "16") REG_NAT = 3.
if (prov_insc = "19") REG_NAT= 3.
if (prov_insc >= "21" and prov_insc <= "22") REG_NAT = 3.
if (prov_insc = "20") REG_NAT= 4.
if (prov_insc = "90") REG_NAT= 5.
execute.

* Etiquetar variables y valores a desplegar en un reporte*


ADD VALUE LABELS
REG_NAT 1 "Regin Sierra: "
	2 "Regin Costa: "
	3 "Regin Amaznica:"
	4 "Regin Insular:"
	5 "Zonas no Delimitadas:".

ADD VALUE LABELS
/t  1 ' '
/t2 1 ' '
.

* Etiquetar variables*.
VAR LABEL
REG_NAT   "  "
/t 'Total Repblica:'
/t2 ' '
.

* Plantear el cuadro o cuadros*

TABLES 
 /TABLE t+(REG_NAT>(t2+prov_insc)) BY (t+mes_insc)
 /TITLE    'Cuadro No. 3.2.1'
              'Divorcios por mes de inscripcin, segn regiones y provincias de inscripcin - Ao 2019'
 /CORNER 'Regiones y provincias '
.
execute.


OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='D:\teletrabajo1\Anuario 2019\bases divorcios\tabulados divorcios.xls'
     OPERATION=CREATEFILE  SHEET='c321'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.



*  CUADRO 3.2.2*
*  DIVORCIOS, por mes de inscripcin, segn regiones, provincias y cantones de residencia habitual del divorciado 1*

* Preparar variables a utilizar*

compute t2=1.

* CODIGOS DE REGIONES NATURALES.


NUMERIC REG_NAT1 (f1.0).
if (prov_hab1 >= "01" and prov_hab1 <= "06") REG_NAT1= 1.
if (prov_hab1 >= "10" and prov_hab1 <= "11") REG_NAT1= 1.
if (prov_hab1 >= "17" and prov_hab1 <= "18") REG_NAT1= 1.
if (prov_hab1 = "23") REG_NAT1= 1.
if (prov_hab1 >= "07" and prov_hab1 <= "09") REG_NAT1 = 2.
if (prov_hab1 >= "12" and prov_hab1 <= "13") REG_NAT1 = 2.
if (prov_hab1 = "24") REG_NAT1= 2.
if (prov_hab1 >= "14" and prov_hab1 <= "16") REG_NAT1 = 3.
if (prov_hab1 = "19") REG_NAT1= 3.
if (prov_hab1 >= "21" and prov_hab1 <= "22") REG_NAT1 = 3.
if (prov_hab1 = "20") REG_NAT1= 4.
if (prov_hab1 = "90") REG_NAT1= 5.
if (prov_hab1 = "88") REG_NAT1= 6.
execute.

* Etiquetar variables y valores a desplegar en un reporte*


ADD VALUE LABELS
REG_NAT1 1 "Regin Sierra: "
	2 "Regin Costa: "
	3 "Regin Amaznica:"
	4 "Regin Insular:"
	5 "Zonas no Delimitadas:"
6 "Exterior".


* Etiquetar variables y valores a desplegar en un reporte*

ADD VALUE LABELS
/t2 1 'total '.
.

* Etiquetar variables*

VAR LABEL
REG_NAT1 ' Regiones  Naturales'
/mes_insc 'Mes de Inscripcin'
/t2 'Total Repblica:'
.

* Plantear el cuadro o cuadros*

TABLES 
 /TABLE  t2+REG_NAT1>(t2+prov_hab1>(cant_hab1))  BY (t2+mes_insc)
 /TITLE    'Cuadro No. 3.2.2'
              'Divorcios por mes de inscripcin, segn regiones, provincias y cantones de residencia habitual del divorciado1 - Ao 2019'
 /CORNER 'Regiones, provincias  y cantones'
.

execute.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='D:\teletrabajo1\Anuario 2019\bases divorcios\tabulados divorcios.xls'
     OPERATION=CREATESHEET  SHEET='c322'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.




*  CUADRO 3.2.3*
*  DIVORCIOS, por grupos de edad divorciada 2, segn grupos de edad divorciado 1. Ao 2019 *

* Preparar variables a utilizar*

compute t=1.
compute tr=1.

* Etiquetar variables y valores a desplegar en un reporte*

ADD VALUE LABELS
/t  1 ' '
/tr 1 ' '
.

* Etiquetar variables*


VAR LABEL
t       'Total'
/tr     'Total Repblica'
/ran_edad1  ' '     
/ran_edad2 'Edad Divorciado 2 '
.


* Plantear el cuadro o cuadros*


TABLES 
 /TABLE  (tr+ran_edad1) BY (t+ran_edad2)
 /TITLE    'Cuadro No. 3.2.3'
              'Divorcios por grupos de edad divorciado 2, segn grupos de edad divorciado 1 - Ao 2019'
 /CORNER 'Edad del divorciado'
.
execute.


OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='D:\teletrabajo1\Anuario 2019\bases divorcios\tabulados divorcios.xls'
     OPERATION=CREATESHEET  SHEET='c323'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.


*  CUADRO 3.2.4*
*  DIVORCIOS, por grupos de edad divorciado 1, segn tiempo de duracin del matrimonio 2019*

* Preparar variables a utilizar*

compute t=1.
compute tr=1.

ADD VALUE LABELS
/t  1 ' '
/tr 1 ' '
.

* Etiquetar variables*


VAR LABEL
t       'Total'
/tr     'Total Repblica:'
/ran_edad1  'Edad Divorciado 1'     
/ran_durm ' '
.

TABLES 
 /TABLE  (tr+ran_durm) BY (t+ran_edad1)
 /TITLE    'Cuadro No. 3.2.4'
              'Divorcios por grupos de edad divorciado 1, segn tiempo de duracin del matrimonio - Ao 2019'
 /CORNER 'Tiempo de duracin del matrimonio'
.
execute.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='D:\teletrabajo1\Anuario 2019\bases divorcios\tabulados divorcios.xls'
     OPERATION=CREATESHEET  SHEET='c324'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

**CUADRO 3.2.5***

*  DIVORCIOS, por grupos de edad divorciado 2, segn tiempo de duracin del matrimonio 2019*


* Preparar variables a utilizar*

compute t=1.
compute tr=1.

ADD VALUE LABELS
/t  1 ' '
/tr 1 ' '
.

* Etiquetar variables*


VAR LABEL
t       'Total'
/tr     'Total Repblica:'
/ran_edad2  'Edad Divorciado 2'     
/ran_durm ' '
.

* Plantear el cuadro o cuadros*


TABLES 
 /TABLE  (tr+ran_durm) BY (t+ran_edad2)
 /TITLE    'Cuadro No. 3.2.5'
              'Divorcios por grupos de edad divorciado 2, segn tiempo de duracin del matrimonio - Ao 2019'
 /CORNER 'Tiempo de duracin del matrimonio'
.
execute.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='D:\teletrabajo1\Anuario 2019\bases divorcios\tabulados divorcios.xls'
     OPERATION=CREATESHEET  SHEET='c325'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.



*  CUADRO 3.2.6*
*  DIVORCIOS, por nmero de hijos a cargo divorciado 1, segn tiempo de duracin del matrimonio 2019*

* Preparar variables a utilizar*

compute t=1.
compute tr=1.

ADD VALUE LABELS
/t  1 ' '
/tr 1 ' '
.

* Etiquetar variables*

VAR LABEL
t       'Total'
/tr     'Total Repblica:'
/ran_hij1 'Nmero de Hijos a Cargo Divorciado 1'     
/ran_durm ' '
.

* Plantear el cuadro o cuadros*


TABLES 
 /TABLE  (tr+ran_durm) BY (t+ran_hij1)
 /TITLE    'Cuadro No. 3.2.6'
              'Divorcios por nmero de hijos a cargo divorciado 1, segn tiempo de duracin del matrimonio - Ao 2019'
 /CORNER 'Tiempo de duracin del matrimonio'
.
execute.


OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='D:\teletrabajo1\Anuario 2019\bases divorcios\tabulados divorcios.xls'
     OPERATION=CREATESHEET  SHEET='c326'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.



*  CUADRO	 No. 3.2.7*
*  DIVORCIOS, por nmero de hijos a cargo divorciado 1, segn tiempo de duracin del matrimonio 2019*


* Preparar variables a utilizar*

compute t=1.
compute tr=1.

ADD VALUE LABELS
/t  1 ' '
/tr 1 ' '
.

* Etiquetar variables*

VAR LABEL
t       'Total'
/tr     'Total Repblica:'
/ran_hij2 'Nmero de Hijos a Cargo Divorciado 2'      
/ran_durm ' '
.

* Plantear el cuadro o cuadros*


TABLES 
 /TABLE  (tr+ran_durm) BY (t+ran_hij2)
 /TITLE    'Cuadro No. 3.2.7'
              'Divorcios por nmero de hijos a cargo divorciado 2, segn tiempo de duracin del matrimonio - Ao 2019'
 /CORNER 'Tiempo de duracin del matrimonio'
.
execute.


OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='D:\teletrabajo1\Anuario 2019\bases divorcios\tabulados divorcios.xls'
     OPERATION=CREATESHEET  SHEET='c327'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.



*  CUADRO 3.2.8*
*  DIVORCIOS, por nivel de instruccin divorciado 2, segn provincias de residencia habitual y nivel de instruccin divorciado 1. Ao 2019*

* preparar variables a utilizar*

compute t=1.
compute tr=1.


ADD VALUE LABELS
/t  1 ' '
/tr 1 ' '
.

VAR LABEL
niv_inst1 ' '
/niv_inst2 'Nivel de Instruccin Divorciado 2'
/REG_NAT1 ' '
/t 'Total '
/tr     'Total Repblica:'
.

* Plantear el cuadro o cuadros*


TABLES 
 /TABLE   tr+REG_NAT1 > prov_hab1 >(t+niv_inst1) BY (t+niv_inst2)
 /TITLE    'Cuadro No. 3.2.8'
              'Divorcios por nivel de instruccin divorciado 2, segn provincias de residencia habitual y nivel de instruccin divorciado 1 - Ao 2019'
 /CORNER 'Regiones, provincias y nivel de instruccin divorciado 1'
.
execute.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='D:\teletrabajo1\Anuario 2019\bases divorcios\tabulados divorcios.xls'
     OPERATION=CREATESHEET  SHEET='c328'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.



***CUADRO 3.2.9***

compute t2=1.


ADD VALUE LABELS
/t2  1 'Total Repblica '
.

VAR LABEL
/cau_div 'Causas del divorcios'
/t2     'Total Repblica:'
.

TABLES. 
 /TABLE  t+prov_insc BY t+cau_div
 /TITLE    'Cuadro No. 3.2.9'
 'Causas del divorcios segn provincias de inscripcin - Ao 2019'
/CORNER 'Provincia de inscripcin'

execute.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='D:\teletrabajo1\Anuario 2019\bases divorcios\tabulados divorcios.xls'
     OPERATION=CREATESHEET  SHEET='c329'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.


***************************************************************************************************************************************************************************************************

**GENERACIN DE BASES DE DATOS**
**Sintaxis para la generacin de bases de datos con las variables unificadas; es decir, sirve para procesar datos estadsticos solo del hombre y solo de la mujer.Se utiliza
 estas bases para el procesamiento de los cuadros 1.1.1 al cuadro 2.3.3  como se puede observar en el archivo Tabulados_series_histricas_MYD_2019** 
 

if sexo_1=1  or sexo_1=2 contra=1.

RENAME VARIABLES nac_1=nac.
RENAME VARIABLES cod_pais1=cod_pais.
RENAME VARIABLES sexo_1=sexo.
RENAME VARIABLES anio_nac1=anio_nac.
RENAME VARIABLES mes_nac1=mes_nac.
RENAME VARIABLES dia_nac1=dia_nac.
RENAME VARIABLES fecha_nac1=echa_nac.
RENAME VARIABLES edad_1=edad.
RENAME VARIABLES hijos_1=hijos.
RENAME VARIABLES p_etnica_1=p_etnica.
RENAME VARIABLES sabe_leer1=sabe_leer.
RENAME VARIABLES niv_inst1=niv_inst.
RENAME VARIABLES prov_hab1=prov_hab.
RENAME VARIABLES cant_hab1=cant_hab.
RENAME VARIABLES parr_hab1=parr_hab.
RENAME VARIABLES area_1=area.

select if contra=1.
execute.

DELETE VARIABLES nac_2.
DELETE VARIABLES cod_pais2.
DELETE VARIABLES sexo_2.
DELETE VARIABLES anio_nac2.
DELETE VARIABLES mes_nac2.
DELETE VARIABLES dia_nac2.
DELETE VARIABLES fecha_nac2.
DELETE VARIABLES edad_2.
DELETE VARIABLES hijos_2.
DELETE VARIABLES p_etnica2.
DELETE VARIABLES sabe_leer2.
DELETE VARIABLES niv_inst2.
DELETE VARIABLES prov_hab2.
DELETE VARIABLES cant_hab2.
DELETE VARIABLES parr_hab2.
DELETE VARIABLES area_2.
SAVE OUTFILE='D:\teletrabajo1\Anuario 2019\bases divorcios\divorcios-bases\CONTRA1.sav' 
  /COMPRESSED.

* generamos la segunda base.
GET  FILE='D:\teletrabajo1\Anuario 2019\bases divorcios\divorcios-bases\divorcios - etiquetada-BASE FINAL - copia.sav'.

if sexo_2=1  or sexo_2=2 contra=2.

RENAME VARIABLES nac_2=nac.
RENAME VARIABLES cod_pais2=cod_pais.
RENAME VARIABLES sexo_2=sexo.
RENAME VARIABLES anio_nac2=anio_nac.
RENAME VARIABLES mes_nac2=mes_nac.
RENAME VARIABLES dia_nac2=dia_nac.
RENAME VARIABLES fecha_nac2=echa_nac.
RENAME VARIABLES edad_2=edad.
RENAME VARIABLES hijos_2=hijos.
RENAME VARIABLES p_etnica2=p_etnica.
RENAME VARIABLES sabe_leer2=sabe_leer.
RENAME VARIABLES niv_inst2=niv_inst.
RENAME VARIABLES prov_hab2=prov_hab.
RENAME VARIABLES cant_hab2=cant_hab.
RENAME VARIABLES parr_hab2=parr_hab.
RENAME VARIABLES area_2=area.

select if contra=2.
execute.

DELETE VARIABLES nac_1.
DELETE VARIABLES cod_pais1.
DELETE VARIABLES sexo_1.
DELETE VARIABLES anio_nac1.
DELETE VARIABLES mes_nac1.
DELETE VARIABLES dia_nac1.
DELETE VARIABLES fecha_nac1.
DELETE VARIABLES edad_1.
DELETE VARIABLES hijos_1.
DELETE VARIABLES p_etnica_1.
DELETE VARIABLES sabe_leer1.
DELETE VARIABLES niv_inst1.
DELETE VARIABLES prov_hab1.
DELETE VARIABLES cant_hab1.
DELETE VARIABLES parr_hab1.
DELETE VARIABLES area_1.



SAVE OUTFILE='D:\teletrabajo1\Anuario 2019\bases divorcios\divorcios-bases\CONTRA2.sav' 
  /COMPRESSED.


ADD FILES /FILE=* 
  /FILE='D:\teletrabajo1\Anuario 2019\bases divorcios\divorcios-bases\CONTRA1.sav'. 
EXECUTE.

SAVE OUTFILE='D:\teletrabajo1\Anuario 2019\bases divorcios\divorcios-bases\divorcios_sexo.sav' 
  /COMPRESSED.



